%define name libproxydynlang-perl
%define version 1.1
%define release 3
%define _prefix /usr

# 基本情報
Summary: call from c to perl language
Summary(ja): cからPerlを呼び出すためのライブラリです。
Name: %{name}
Version: %{version}
Release: %{release}
License: GPL
Group: System Environment/Libraries
Packager: paradox
BuildArch: i386

# パケージの作成時に必要となる情報
Source: %{name}-%{version}.tar.gz
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-buildroot

# 依存情報
Requires: libproxydynlang-devel = 1.1
BuildRequires(build): libproxydynlang-devel = 1.1
BuildRequires(build): perl

# スクリプト部
%description 
proxydynlang is a from c to perl language.

%description -l ja
proxydynlangは、c言語から動的言語(perl)を呼び出す為のライブラリです。

%prep         # rpmを構築する前の準備です
%{__rm} -rf $RPM_BUILD_ROOT

%setup
#%patch -pl

%build
%{__make} proxyperl

%install
%{__make} install.perl prefix=${RPM_BUILD_ROOT}%{_libdir} 

%clean
%{__rm} -rf $RPM_BUILD_ROOT

#ファイルリスト部
%files
%defattr(-, root,root)
%{_libdir}/libproxyperl.so

%changelog
* Sat Jul 16 2016 paradox <siranovel@gmail.com> 1.1-2
- クラスに対するメゾットの呼び出しの実装

* Thu Jul 14 2016 paradox <siranovel@gmail.com> 1.1-1
- proxyperl-libs -> libproxydynlang-perl

* Mon Jul 11 2016 paradox <siranovel@gmail.com> 1.0-1
- first release for version 1.0

